Bug 64841 - Modyfing roles, server stops packets forwarding
Modyfing roles, server stops packets forwarding
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: firewall-config (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-05-13 09:00 EDT by Need Real Name
Modified: 2007-04-18 12:42 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-05-15 04:57:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-05-13 09:00:06 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0)

Description of problem:
After modyfing roles on a well working firewall-config, we get a problem: the 
forwarding of packets stops.
Returning to previus state and permit all in firewall-config, we still get the 
same forwarding problems. Any idea?

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.modyfing roles of well working firewall-config and apply
2.server don't forwarding any packet
3.returnig to previus state
4.server don't forwarding any packets
5.permit all in firewall-config and apply
6.server donB4t forwarding any packets	

Actual Results:  the configuration of server seems correct,and the 
configuration of firewall-config permit all, and packets forwarding follow 
stoped.

Expected Results:  the packet forwarding no must stop.


Additional info:

Is a Compaq proliant DL320.
Comment 1 Harald Hoyer 2002-05-13 09:42:49 EDT
What does this output? 
$ cat /proc/sys/net/ipv4/ip_forward
Comment 2 Need Real Name 2002-05-13 10:39:06 EDT
1
Comment 3 Harald Hoyer 2002-05-13 10:57:08 EDT
please append /etc/sysconfig/firewall and /etc/sysconfig/ipchains
Comment 4 Need Real Name 2002-05-13 11:33:55 EDT
/etc/sysconfig/firewall
Global ICMP all Input ACCEPT Forward ACCEPT Output ACCEPT
Chain InForward Action ACCEPT SrcDev * SrcIP 0.0.0.0/0 SrcPorts * DstDev * 
DstIP 0.0.0.0/0 DstPorts * Proto * 

/etc/sysconfig/ipchains
:input ACCEPT
:forward ACCEPT
:output ACCEPT
:icmp -
-A input -s 0.0.0.0/0.0.0.0 -d 0.0.0.0/0.0.0.0 -p 1 -j icmp
-A input -s 0.0.0.0/0.0.0.0 -d 0.0.0.0/0.0.0.0 -p 6 -j ACCEPT
-A input -s 0.0.0.0/0.0.0.0 -d 0.0.0.0/0.0.0.0 -p 17 -j ACCEPT
-A forward -s 0.0.0.0/0.0.0.0 -d 0.0.0.0/0.0.0.0 -p 6 -j ACCEPT
-A forward -s 0.0.0.0/0.0.0.0 -d 0.0.0.0/0.0.0.0 -p 17 -j ACCEPT
-A icmp -s 0.0.0.0/0.0.0.0 -d 0.0.0.0/0.0.0.0 -j ACCEPT
Comment 5 Harald Hoyer 2002-05-13 11:37:51 EDT
there is nothing wrong with that... should work 
you may try manually: 
# /sbin/service ipchains restart 
after that 
# /sbin/ipchains -L 
should display the same rules as in /etc/sysconfig/ipchains
Comment 6 Need Real Name 2002-05-15 04:57:40 EDT
/sbin/ipchains -L display the same rules as in /etc/sysconfig/ipchains.
But finally i have found a hardware problem in my network, and now server is 
forwarding the packets.

Thanks


Note You need to log in before you can comment on or make changes to this bug.